GWT 2.7.0

## com.google.gwt.user.client.ui
Class FormPanel.SubmitCompleteEvent

    java.lang.Object
      com.google.web.bindery.event.shared.Event<H>
          com.google.gwt.event.shared.GwtEvent<FormPanel.SubmitCompleteHandler>
              com.google.gwt.user.client.ui.FormPanel.SubmitCompleteEvent

Enclosing class:
  FormPanel

    public static class FormPanel.SubmitCompleteEvent

extends GwtEvent<FormPanel.SubmitCompleteHandler>

Fired when a form has been submitted successfully.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent
`GwtEvent.Type<H>`

Constructor Summary
`protected` | `FormPanel.SubmitCompleteEvent(java.lang.String resultsHtml)` Create a submit complete event.

Method Summary
`protected void` | `dispatch(FormPanel.SubmitCompleteHandler handler)` Should only be called by `HandlerManager`.
`GwtEvent.Type<FormPanel.SubmitCompleteHandler>` | `getAssociatedType()` Returns the `Event.Type` used to register this event, allowing an `EventBus` to find handlers of the appropriate class.
`java.lang.String` | `getResults()` Gets the result text of the form submission.
`static GwtEvent.Type<FormPanel.SubmitCompleteHandler>` | `getType()` Handler hook.

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, getSource, isLive, kill, revive`

Methods inherited from class com.google.web.bindery.event.shared.Event
`setSource, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FormPanel.SubmitCompleteEvent

    protected FormPanel.SubmitCompleteEvent(java.lang.String resultsHtml)

  Create a submit complete event.

  Parameters:
    `resultsHtml` - the results from submitting the form

Method Detail

### getType

    public static GwtEvent.Type<FormPanel.SubmitCompleteHandler> getType()

  Handler hook.

  Returns:
    the handler hook

### getAssociatedType

    public final GwtEvent.Type<FormPanel.SubmitCompleteHandler> getAssociatedType()

  Description copied from class: `Event`
  Returns the `Event.Type` used to register this event, allowing an `EventBus` to find handlers of the appropriate class.

  Specified by:
    `getAssociatedType` in class `GwtEvent<FormPanel.SubmitCompleteHandler>`
  Returns:
    the type

### getResults

    public java.lang.String getResults()

  Gets the result text of the form submission.

  Returns:
    the result html, or `null` if there was an error reading it
  Tip:
    The result html can be `null` as a result of submitting a form to a different domain.

### dispatch

    protected void dispatch(FormPanel.SubmitCompleteHandler handler)

  Description copied from class: `GwtEvent`
  Should only be called by `HandlerManager`. In other words, do not use or call.

  Specified by:
    `dispatch` in class `GwtEvent<FormPanel.SubmitCompleteHandler>`
  Parameters:
    `handler` - handler
  See Also:
    `EventBus.dispatchEvent(Event, Object)`

GWT 2.7.0